VERSION 5.00
Begin VB.Form FR_DarumaFramework_NFC_e 
   Caption         =   "DarumaFramework - NFC-e"
   ClientHeight    =   7005
   ClientLeft      =   60
   ClientTop       =   750
   ClientWidth     =   12525
   LinkTopic       =   "Form1"
   Picture         =   "DarumaFramework - NFC-e.frx":0000
   ScaleHeight     =   7005
   ScaleWidth      =   12525
   StartUpPosition =   2  'CenterScreen
   Begin VB.Menu mnuMetodoConfiguracao 
      Caption         =   "Mtodo Configurao"
      Begin VB.Menu mnuDetectarMiniImpressora 
         Caption         =   "Detectar Mini-Impressora (automtico)"
      End
      Begin VB.Menu mnuConfigurarMiniImpressora 
         Caption         =   "Configurar Mini-Impresora (Dual)"
      End
      Begin VB.Menu mnuConfigurarChaveDesenvolvedor 
         Caption         =   "Configurar Chave Desenvolvedor"
      End
      Begin VB.Menu mnuConfigurarCliente 
         Caption         =   "Configurar Dados Cliente"
      End
      Begin VB.Menu mnuRetornoValoresXML 
         Caption         =   "Retorno Valores XML"
         Begin VB.Menu mnuMetodoregRetornarValorNFCe 
            Caption         =   "Mtodo regRetornarValor_NFCe_Daruma"
         End
      End
   End
   Begin VB.Menu mnuMetodoEmissao 
      Caption         =   "Mtodo Emisso"
      Begin VB.Menu mnuAbrirNFCe 
         Caption         =   "Abrir NFC-e"
         Begin VB.Menu mnuMetodoaCFAbrir 
            Caption         =   "Mtodo aCFAbrir_NFCe_Daruma"
         End
      End
      Begin VB.Menu mnuVenderItem 
         Caption         =   "Vender Item"
         Begin VB.Menu mnuMetodoaCFVender 
            Caption         =   "Mtodo aCFVender_NFCe_Daruma"
         End
      End
      Begin VB.Menu mnuDescAcres 
         Caption         =   "Desconto e Acrscimo de Item"
         Begin VB.Menu mnuMetodoaCFLancarAcresIt 
            Caption         =   "Mtodo aCFLancarAcrescimoItem_NFCe_Daruma"
         End
         Begin VB.Menu mnuMetodoaCFLanDesIte 
            Caption         =   "Mtodo aCFLancarDescontoItem_NFCe_Daruma"
         End
      End
      Begin VB.Menu mnuCanItem 
         Caption         =   "Cancelar Item Parcial"
         Begin VB.Menu mnuMetodoaCFCanItePar 
            Caption         =   "Mtodo aCFCancelarItemParcial_NFCe_Daruma"
         End
         Begin VB.Menu mnuMetodoaCFCancItem 
            Caption         =   "Mtodo aCFCancelarItem_NFCe_Daruma"
         End
      End
      Begin VB.Menu mnuCanDescAcres 
         Caption         =   "Cancelar Desconto ou Acrscimo em Item"
         Begin VB.Menu mnuMetodoaCFCanAcresIte 
            Caption         =   "Mtodo aCFCancelarAcrescimoItem_NFCe_Daruma"
         End
         Begin VB.Menu mnuMetodoaCFCanceDescItem 
            Caption         =   "Mtodo aCFCancelarDescontoItem_NFCe_Daruma"
         End
      End
      Begin VB.Menu mnuTotalizar 
         Caption         =   "Totalizar"
         Begin VB.Menu mnuMetodoaCFTotalizar 
            Caption         =   "Mtodo aCFTotalizar_NFCe_Daruma"
         End
      End
      Begin VB.Menu mnuPagar 
         Caption         =   "Pagar"
         Begin VB.Menu mnuMetodoaCFEfetuarPagamento 
            Caption         =   "Mtodo aCFEfetuarPagamento_NFCe_Daruma"
         End
      End
      Begin VB.Menu mnuEncerrar 
         Caption         =   "Encerrar"
         Begin VB.Menu mnuMetodotCFEncerrar 
            Caption         =   "Mtodo tCFEncerrar_NFCe_Daruma"
         End
      End
      Begin VB.Menu mnuCanNFCe 
         Caption         =   "Cancelamento de NFC-e"
         Begin VB.Menu mnuMetodotCFCancelar 
            Caption         =   "Mtodo tCFCancelar_NFCe_Daruma"
         End
      End
      Begin VB.Menu mnuEstornar 
         Caption         =   "Estornar Pagamento"
         Begin VB.Menu mnuMetodoaCFEstorPag 
            Caption         =   "Mtodo aCFEstornarPagamento_NFCe_Daruma"
         End
      End
   End
   Begin VB.Menu MnuTestar 
      Caption         =   "Testar"
      Begin VB.Menu mnuTestarImpressora 
         Caption         =   "Testar Impressora"
      End
      Begin VB.Menu mnuTestarServidor 
         Caption         =   "Testar Servidor"
      End
      Begin VB.Menu mnuStatusCupom 
         Caption         =   "Status Cupom"
         Begin VB.Menu mnurMetodoCFVerificarStatus 
            Caption         =   "Mtodo rCFVerificarStatus_NFCe_Daruma"
         End
      End
   End
   Begin VB.Menu mnuVersao 
      Caption         =   "Verso"
      Begin VB.Menu mnuVers 
         Caption         =   "1.3.9 - 24/01/2014"
      End
   End
End
Attribute VB_Name = "FR_DarumaFramework_NFC_e"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False

Private Sub Form_Load()
ChDir (App.Path)
End Sub

Private Sub mnuConfigurarChaveDesenvolvedor_Click()
FR_ConfigurarChave.Show
End Sub

Private Sub mnuConfigurarCliente_Click()
FR_ConfigurarCliente.Show
End Sub

Private Sub mnuConfigurarMiniImpressora_Click()
FR_ConfiguracaoDual.Show
End Sub

Private Sub mnuDetectarMiniImpressora_Click()
Dim iRetorno As Integer
Dim Str_Porta As String
Str_Porta = Space(4)
Dim Str_Velocidade As String
Str_Velocidade = Space(6)

iRetorno = eBuscarPortaVelocidade_DUAL_DarumaFramework()
If (iRetorno = 1) Then
    iRetorno = regRetornaValorChave_DarumaFramework("DUAL", "PortaComunicacao", Str_Porta)
    iRetorno = regRetornaValorChave_DarumaFramework("DUAL", "Velocidade", Str_Velocidade)
      If (iRetorno = 1) Then
            MsgBox "Porta:" + Str_Porta + ",Velocidade:" + Str_Velocidade, vbInformation, "Daruma DLL Framework"
      Else
       MsgBox "Erro ao retornar Porta e Velocidade!", "Daruma DLL Framework", vbError, "Daruma DLL Framework"
      End If
 Else
        DarumaFramework_Mostrar_Retorno_DUAL (iRetorno)
 End If
 
End Sub


Private Sub mnuMetodoaCFAbrir_Click()
FR_aCFAbrir_NFCe_Daruma.Show
End Sub

Private Sub mnuMetodoaCFCanAcresIte_Click()
Dim StrNumeroItem As String
StrNumeroItem = InputBox("Digite o Nmero do Item:", "Mtodo aCFCancelarAcrescimoItem_NFCe_Daruma", "001")

        If (StrNumeroItem = "") Then
            MsgBox "Operao cancelada pelo usurio!", vbInformation, "Daruma DLL Framework"
        Else
            iRetorno = aCFCancelarAcrescimoItem_NFCe_Daruma(StrNumeroItem)
            DarumaFramework_Mostrar_Retorno_NFCe (iRetorno)
        End If
End Sub

Private Sub mnuMetodoaCFCanceDescItem_Click()
Dim StrNumeroItem As String
StrNumeroItem = InputBox("Digite o Nmero do Item:", "Mtodo  aCFCancelarDescontoItem_NFCe_Daruma", "001")

        If (StrNumeroItem = "") Then
            MsgBox "Operao cancelada pelo usurio!", vbInformation, "Daruma DLL Framework"
        Else
            iRetorno = aCFCancelarDescontoItem_NFCe_Daruma(StrNumeroItem)
            DarumaFramework_Mostrar_Retorno_NFCe (iRetorno)
        End If
End Sub

Private Sub mnuMetodoaCFCancItem_Click()
Dim StrNumeroItem As String
StrNumeroItem = InputBox("Digite o Nmero do Item:", "Mtodo aCFCancelarItem_NFCe_Daruma", "001")

        If (StrNumeroItem = "") Then
            MsgBox "Operao cancelada pelo usurio!", vbInformation, "Daruma DLL Framework"
        Else
            iRetorno = aCFCancelarItem_NFCe_Daruma(StrNumeroItem)
            DarumaFramework_Mostrar_Retorno_NFCe (iRetorno)
        End If
End Sub

Private Sub mnuMetodoaCFCanItePar_Click()
FR_aCFCancelarItemParcial_NFCe_Daruma.Show
End Sub

Private Sub mnuMetodoaCFEfetuarPagamento_Click()
FR_aCFEfetuarPagamento_NFCe_Daruma.Show
End Sub

Private Sub mnuMetodoaCFEstorPag_Click()
FR_aCFEstornarPagamento_NFCe_Daruma.Show
End Sub

Private Sub mnuMetodoaCFLancarAcresIt_Click()
FR_aCFLancarAcrescimoItem_NFCe_Daruma.Show
End Sub

Private Sub mnuMetodoaCFLanDesIte_Click()
FR_aCFLancarDescontoItem_NFCe_Daruma.Show
End Sub

Private Sub mnuMetodoaCFTotalizar_Click()
FR_aCFTotalizar_NFCe_Daruma.Show
End Sub

Private Sub mnuMetodoaCFVender_Click()
FR_aCFVender_NFCe_Daruma.Show
End Sub

Private Sub mnuMetodoregRetornarValorNFCe_Click()
Dim STR_Retorno_CaixaInput As String
Dim Str_Chave As String
Str_Chave = Space(100)

    STR_Retorno_CaixaInput = InputBox("Entre com a chave:", "Mtodo regRetornarValor_NFCe_Daruma", "CONFIGURACAO\EmpPK")
    iRetorno = regRetornarValor_NFCe_Daruma(STR_Retorno_CaixaInput, Str_Chave)
    DarumaFramework_Mostrar_Retorno_NFCe (iRetorno)
End Sub

Private Sub mnuMetodotCFCancelar_Click()
FR_tCFCancelar_NFCe_Daruma.Show
End Sub

Private Sub mnuMetodotCFEncerrar_Click()
FR_tCFEncerrar_NFCe_Daruma.Show
End Sub


Private Sub mnurMetodoCFVerificarStatus_Click()
        iRetorno = rCFVerificarStatus_NFCe_Daruma()
            Select Case (iRetorno)
            Case "0":    MsgBox "[0] -  Cupom Fechado!", vbInformation, "Daruma DLL Framework"
            Case "1":    MsgBox "[1] - NFC-e em registro de item!", vbInformation, "Daruma DLL Framework"
            Case "2":    MsgBox "[2] - NFC-e em totalizao!", vbInformation, "Daruma DLL Framework"
            Case "3":    MsgBox "[3] - NFC-e em pagamento!", vbInformation, "Daruma DLL Framework"
            Case "4":    MsgBox "[4] - NFC-e em finalizao!", vbInformation, "Daruma DLL Framework"
           End Select
End Sub

Private Sub mnuTestarImpressora_Click()
Dim sTexto As String
sTexto = ("<bmp></bmp>Daruma Developers<l></l>" + _
"CNPJ-00.000.000/0000-00   I.E-000000000000<l></l>" + _
"Av. Shishima, Urbanova, So Jos dos Campos-SP<l></l>" + _
"------------------------------------------------<l></l>" + _
        "DANFE NFC-e - Documento Auxiliar<l></l>" + _
                "DOCUMENTO DE TESTE<l></l>" + _
"<b>No permite aproveitamento de crdito de ICMS</b><l></l>" + _
"------------------------------------------------<l></l>" + _
"<c>Item  Cod.   Descricao         Qtde Un   VlrUnit   VlrTot</c><l></l>" + _
"------------------------------------------------<l></l>" + _
"<c>001 123456776  Bolacha         53.56 C X  5.25     281.19</c><l></l>" + _
"<c>002 123456  Chinelo de dedo    500   Kg X 62.30  31150.00</c><l></l>" + _
"------------------------------------------------<l></l>" + _
"QTD. TOTAL DE ITENS                          002<l></l>" + _
"VALOR TOTAL R$                           5143.56<l></l>" + _
"                                                <l></l>" + _
"FORMA DE PAGAMENTO                    Valor Pago<l></l>" + _
"Cheque 35.75<l></l>" + _
"------------------------------------------------<l></l>" + _
"Informao dos Tributos Totais Incidentes(Lei Federal 12.741/2012)                          1,00<l></l>" + _
"------------------------------------------------<l></l>" + _
"<ce>AREA DE MENSAGEM FISCAL</ce><l></l>")
iRetornoDual = iImprimirTexto_DUAL_DarumaFramework(sTexto + _
"<c>Nmero:00000089 Srie:0 Emisso:00/00/2000 00:00:00<c><l></l>" + _
"<ce>Via Consumidor</ce><l></l>" + _
"Consulte pela Chave de Acesso em: http://www.desenvolvedoresdaruma.com.br<l></l>" + _
"<ce>CHAVE DE ACESSO</ce><l></l>" + _
"<c>  0000 0000 0000 0000 0000 0000 0000 0000 0000 0000 0000</c><l></l>" + _
"------------------------------------------------<l></l>" + _
"CONSUMIDOR<l></l>" + _
"CNPJ/CPF/ID Estrangeiro - 00000000000<l></l>" + _
"------------------------------------------------<l></l>" + _
"<ce>Consulta via leitor de QR Code</ce><l></l>" + _
"<ce><qrcode>http://www.desenvolvedoresdaruma.com.br</qrcode></ce><l></l>" + _
"<c> Protocolo de Autorizao: 99999999 00/00/0000 00:00:00</c><sl>4</sl><gui></gui><l></l>", 0)
DarumaFramework_Mostrar_Retorno_DUAL (iRetornoDual)
End Sub

Private Sub mnuTestarServidor_Click()
iRetorno = rStatusWS_NFCe_Daruma()
DarumaFramework_Mostrar_Retorno_NFCe (iRetorno)
End Sub



